package oracle.forms.gp;

import javax.swing.JTextArea;

import oracle.forms.handler.IHandler;
import oracle.forms.properties.ID;
import oracle.forms.ui.CustomEvent;
import oracle.forms.ui.VBean;


public class FileDropBean extends VBean

{

    // properties you can set
    protected static final ID DROP = ID.registerProperty("DROP");
    protected static final ID EVENT_MSG = ID.registerProperty("EVENT_MSG");
    private IHandler mHandler;
    private JTextArea textArea;

    public FileDropBean() {
        super();

        textArea = new JTextArea("Drop\nhere");
        textArea.setEditable(false);
        add(textArea);

        new FileDrop(System.out, textArea,
                     /*dragBorder,*/new FileDrop.Listener() {
                public void filesDropped(java.io.File[] files) {
                    for (int i = 0; i < files.length; i++) {
                        try {

                            SendMessage(DROP, files[i].getCanonicalPath());

                        } // end try
                        catch (java.io.IOException e) {
                        }
                    } // end for: through each dropped file
                } // end filesDropped
            }); // end FileDrop.Listener

    }

    public void init(IHandler handler) {
        mHandler = handler;
        super.init(handler);
        // put your initialisation instructions here
    }

    /**
     * Send a message to the Forms module
     **/
    public void SendMessage(ID id1, String sMessage) {
        try {
            mHandler.setProperty(EVENT_MSG, sMessage);
            CustomEvent ce = new CustomEvent(mHandler, id1);
            dispatchCustomEvent(ce);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
